(define-module (type hostname-list)
    :use-module (type _space-separated-list)
    :use-module (alterator woo)
    :use-module ((type hostname) :select (hostname-regex))
    :export (type))

(define (type v _)
  (or (check-list (lambda(x) (regexp-exec hostname-regex x)) v)
      (type-error (_ "invalid hostname list"))))
